Subject: Re: bug#53375: [PATCH] Account for padding and content length in, tabulated-list-widen-current-column

From: Thuna <[email-masked]>
Date: Thu, 20 Jan 2022 21:42:20 +0300

>> This patch should solve the issue however it relies on
 >> `tabulated-list-get-entry' which means it fails to work if the
 >> `tabulated-list-entry' property is not set properly.  I am unsure if
 >> this should be considered a bug on the tabulated-list end or not.
 >
 > That function is supposed to give reliable results, so if there are
 > modes it doesn't work in, that sounds like a bug.

In that case debbugs itself needs a fix.  It is possible that other
tabulated-list derived modes will fail in a similar way so maybe a
checkup is needed?

 > This change was small enough to apply without assigning copyright to the
 > FSF, but for future patches you want to submit, it might make sense to
 > get the paperwork started now, so that subsequent patches can be applied
 > speedily. Would you be willing to sign such paperwork?

I am willing to sign the paperwork although I know neither how nor what
it entails so some help would be appreciated.

On Thu, Jan 20, 2022 at 5:23 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Thuna <[email-masked]> writes:
>
> > This patch should solve the issue however it relies on
> > `tabulated-list-get-entry' which means it fails to work if the
> > `tabulated-list-entry' property is not set properly.  I am unsure if
> > this should be considered a bug on the tabulated-list end or not.
>
> That function is supposed to give reliable results, so if there are
> modes it doesn't work in, that sounds like a bug.
>
> Anyway, the patch looks good to me, so I've pushed it to Emacs 29.
>
> This change was small enough to apply without assigning copyright to the
> FSF, but for future patches you want to submit, it might make sense to
> get the paperwork started now, so that subsequent patches can be applied
> speedily. Would you be willing to sign such paperwork?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>